package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.CircuitMapper;
import com.example.tdl.mapper.RoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CircuitService {
    @Autowired
    private CircuitMapper circuitMapper;

    public List<ResultCircuitVo> getAll(){
        return circuitMapper.getAll();
    }

    public List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo){
        return circuitMapper.getByTerm(circuitTermVo);
    }

    public int addCircuit(Map<Object,Object> map){
        return circuitMapper.addCircuit(map);
    }

    public int updateCircuit(Map<Object,Object> map){
        return circuitMapper.updateCircuit(map);
    }

    public int updateEndTime(UpdateCircuitVo updateCircuitVo){
        return circuitMapper.updateEndTime(updateCircuitVo);
    }

    public int delCircuit(String transportationNo){
        return circuitMapper.delCircuit(transportationNo);
    }

    public ResultCircuitVo getByTransportationNo(String transportationNo){
        return circuitMapper.getByTransportationNo(transportationNo);
    }

    public ResultGatewayVo getByNo(String transportationNo){
        return circuitMapper.getByNo(transportationNo);
    }

}
